ExceptionTypeFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.filters.ExceptionTypeFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.filters
Class ExceptionTypeFilter

    java.lang.Object
      org.mule.routing.filters.PayloadTypeFilter
          org.mule.routing.filters.ExceptionTypeFilter

All Implemented Interfaces:
  Filter

    public class ExceptionTypeFilter

extends PayloadTypeFilter

A filter that accepts messages that have an exception payload. An Exception type can also be set on this filter to allow it to accept Exception messages of a particular Exception class only.

Constructor Summary
`ExceptionTypeFilter()`
`ExceptionTypeFilter(Class expectedType)`
`ExceptionTypeFilter(String expectedType)`

Method Summary
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.

Methods inherited from class org.mule.routing.filters.PayloadTypeFilter
`equals, getExpectedType, hashCode, setExpectedType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionTypeFilter

    public ExceptionTypeFilter()

### ExceptionTypeFilter

    public ExceptionTypeFilter(String expectedType)
                        throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

### ExceptionTypeFilter

    public ExceptionTypeFilter(Class expectedType)

Method Detail

### accept

    public boolean accept(MuleMessage message)

  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Overrides:
    `accept` in class `PayloadTypeFilter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.